# parameters relevant for manual execution of clustering.R


#wd <- "/home/carlus/BfR/Projects/salmonella-alleledb"
#wd <- "/cephfs/abteilung4/Projects_NGS/GenoSalmSurv/realtime_cgmlst/salmonella-alleledb"
#wd <- "/home/DenekeC/HomeProjects/GenoSalmSurv/salmonella-alleledb"
wd <- "/cephfs/abteilung4/deneke/Projects/chewiesnake_validation/cgmlst_joineddatabase_final"


# allele distances
distance_matrix_file <- file.path(wd,"merged_db/distance_matrix.tsv")
# cluster name list
#potential_names_file <- "/cephfs/abteilung4/Projects_NGS/GenoSalmSurv/realtime_cgmlst/salmonella-alleledb/extra_data/cluster_naming/greek_writers_shuffled.txt"

#potential_names_file <- file.path(wd,"/extra_data/cluster_naming/greek_writers_shuffled.txt")

potential_names_file <- file.path("cluster_names_reservoir.txt")

# clustername_sample_association
mapping_sample2clustername_file <- file.path(wd,"merged_db/mapping_sample2clustername.tsv")

# params
clustering_method <- "single"
cut_threshold <- 10
# output
orphansamples_file <- file.path(wd,"merged_db","sample2orphan.tsv")
clustering_dir <- file.path(wd,"merged_db","clustering")

mapping_sample2clustername_fileout <- mapping_sample2clustername_file

functions_file <- "functions.R"